Page MenuHomePhabricator

Stats: Consider the existence of target URL as a proof that translation was published
Closed, ResolvedPublic1 Story Points

Description

In T91365, we started filling translation_target_url only when translation is published. As a result, we can safely assume a translation with target url is atleast once published.

Use that information to correct the tables in Special:CXStats to correctly reflect the published translations.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterStats: If target_url exists, count translation as published

Event Timeline

santhosh created this task.Mar 11 2015, 6:29 AM
santhosh claimed this task.
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 6:29 AM

Change 195855 had a related patch set uploaded (by Santhosh):
Stats: If target_url exists, count translation as published

https://gerrit.wikimedia.org/r/195855

santhosh set Security to None.Mar 11 2015, 7:28 AM
santhosh edited a custom field.
santhosh raised the priority of this task from Medium to High.Mar 11 2015, 8:27 AM

Change 195855 merged by jenkins-bot:
Stats: If target_url exists, count translation as published

https://gerrit.wikimedia.org/r/195855

Nikerabbit moved this task from In Review to Done on the LE-Sprint-84 board.Mar 13 2015, 12:38 PM
Amire80 closed this task as Resolved.Mar 18 2015, 7:17 AM
Amire80 added a subscriber: Amire80.